Subject: Re: [net-next PATCH 1/1] drivers: net: cpsw: Add support for new CPSW IP version

From: Richard Cochran <[email-masked]>
Date: Wed, 31 Jul 2013 22:20:07 +0200

On Wed, Jul 31, 2013 at 11:07:56PM +0300, Felipe Balbi wrote:
> 
> what I'm saying is that we can give new IP revision a chance to work if
> they have no programming model differences (except for, perhaps, new
> features and different erratas).

But it also has a chance to fail when there are differences.
Comparing CPSW V1 with V2, it appears that TI likes to move the
registers around between versions. To me, this is reason enough to
make the driver defensive.

Thanks,
Richard